Conversations

Update a conversation

Update a conversation.

PATCH
/conversation/{conversation_id}

Update a conversation.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

conversation_id*string

Conversation identifier.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Partial update for a conversation.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/conversation/string" \  -H "Content-Type: application/json" \  -d '{    "status": "Pending",    "assign_to": "9c81790c-ae74-4cbd-b2ca-d246ae0df1a9",    "tags": [      "9c81790c-ae74-4cbd-b2ca-d246ae0df1a9"    ],    "subject": "Order INV-1042 arrived damaged"  }'
{  "message": "string"}